# Class Keys

java.lang.Object
com.io7m.cardant.database.postgres.internal.Keys

public class Keys extends Object
A class modelling foreign key relationships and constraints of tables in the default schema.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `AUDIT_PRIMARY_KEY`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `CHECK_LOCK_PRIMARY`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `CONSTRAINT_4`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `FILES_PRIMARY_KEY`
  `static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record>`
  `ITEM_ATTACHMENTS_FILE_EXISTS`
  `static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record>`
  `ITEM_ATTACHMENTS_ITEM_EXISTS`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `ITEM_ATTACHMENTS_PRIMARY_KEY`
  `static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record>`
  `ITEM_METADATA_ITEM_EXISTS`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `ITEM_METADATA_PRIMARY_KEY`
  `static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record>`
  `ITEM_TYPES_ITEM_EXISTS`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `ITEM_TYPES_PRIMARY_KEY`
  `static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record>`
  `ITEM_TYPES_RECORD_TYPE_EXISTS`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `ITEMS_PRIMARY_KEY`
  `static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record>`
  `LOCATION_ATTACHMENTS_FILE_EXISTS`
  `static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record>`
  `LOCATION_ATTACHMENTS_LOCATION_EXISTS`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `LOCATION_ATTACHMENTS_PRIMARY_KEY`
  `static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record>`
  `LOCATION_METADATA_LOCATION_EXISTS`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `LOCATION_METADATA_PRIMARY_KEY`
  `static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record>`
  `LOCATION_PARENT_EXISTS`
  `static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record>`
  `LOCATION_TYPES_DECLARATION_EXISTS`
  `static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record>`
  `LOCATION_TYPES_LOCATION_EXISTS`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `LOCATION_TYPES_PRIMARY_KEY`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `LOCATIONS_PRIMARY_KEY`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `METADATA_TYPE_PACKAGES_NAME_UNIQUE`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `METADATA_TYPE_PACKAGES_PRIMARY_KEY`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `METADATA_TYPES_PRIMARY_KEY`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `METADATA_TYPES_UNIQUE`
  `static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record>`
  `STOCK_ITEM_EXISTS`
  `static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record>`
  `STOCK_LOCATION_EXISTS`
  `static final org.jooq.UniqueKey<org.jooq.Record>`
  `STOCK_PRIMARY_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Keys()`

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### AUDIT_PRIMARY_KEY

    public static final org.jooq.UniqueKey<org.jooq.Record> AUDIT_PRIMARY_KEY

  - ### FILES_PRIMARY_KEY

    public static final org.jooq.UniqueKey<org.jooq.Record> FILES_PRIMARY_KEY

  - ### ITEM_ATTACHMENTS_PRIMARY_KEY

    public static final org.jooq.UniqueKey<org.jooq.Record> ITEM_ATTACHMENTS_PRIMARY_KEY

  - ### ITEM_METADATA_PRIMARY_KEY

    public static final org.jooq.UniqueKey<org.jooq.Record> ITEM_METADATA_PRIMARY_KEY

  - ### ITEM_TYPES_PRIMARY_KEY

    public static final org.jooq.UniqueKey<org.jooq.Record> ITEM_TYPES_PRIMARY_KEY

  - ### ITEMS_PRIMARY_KEY

    public static final org.jooq.UniqueKey<org.jooq.Record> ITEMS_PRIMARY_KEY

  - ### LOCATION_ATTACHMENTS_PRIMARY_KEY

    public static final org.jooq.UniqueKey<org.jooq.Record> LOCATION_ATTACHMENTS_PRIMARY_KEY

  - ### LOCATION_METADATA_PRIMARY_KEY

    public static final org.jooq.UniqueKey<org.jooq.Record> LOCATION_METADATA_PRIMARY_KEY

  - ### LOCATION_TYPES_PRIMARY_KEY

    public static final org.jooq.UniqueKey<org.jooq.Record> LOCATION_TYPES_PRIMARY_KEY

  - ### LOCATIONS_PRIMARY_KEY

    public static final org.jooq.UniqueKey<org.jooq.Record> LOCATIONS_PRIMARY_KEY

  - ### METADATA_TYPE_PACKAGES_NAME_UNIQUE

    public static final org.jooq.UniqueKey<org.jooq.Record> METADATA_TYPE_PACKAGES_NAME_UNIQUE

  - ### METADATA_TYPE_PACKAGES_PRIMARY_KEY

    public static final org.jooq.UniqueKey<org.jooq.Record> METADATA_TYPE_PACKAGES_PRIMARY_KEY

  - ### METADATA_TYPES_PRIMARY_KEY

    public static final org.jooq.UniqueKey<org.jooq.Record> METADATA_TYPES_PRIMARY_KEY

  - ### METADATA_TYPES_UNIQUE

    public static final org.jooq.UniqueKey<org.jooq.Record> METADATA_TYPES_UNIQUE

  - ### CHECK_LOCK_PRIMARY

    public static final org.jooq.UniqueKey<org.jooq.Record> CHECK_LOCK_PRIMARY

  - ### STOCK_PRIMARY_KEY

    public static final org.jooq.UniqueKey<org.jooq.Record> STOCK_PRIMARY_KEY

  - ### CONSTRAINT_4

    public static final org.jooq.UniqueKey<org.jooq.Record> CONSTRAINT_4

  - ### ITEM_ATTACHMENTS_FILE_EXISTS

    public static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record> ITEM_ATTACHMENTS_FILE_EXISTS

  - ### ITEM_ATTACHMENTS_ITEM_EXISTS

    public static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record> ITEM_ATTACHMENTS_ITEM_EXISTS

  - ### ITEM_METADATA_ITEM_EXISTS

    public static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record> ITEM_METADATA_ITEM_EXISTS

  - ### ITEM_TYPES_ITEM_EXISTS

    public static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record> ITEM_TYPES_ITEM_EXISTS

  - ### ITEM_TYPES_RECORD_TYPE_EXISTS

    public static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record> ITEM_TYPES_RECORD_TYPE_EXISTS

  - ### LOCATION_ATTACHMENTS_FILE_EXISTS

    public static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record> LOCATION_ATTACHMENTS_FILE_EXISTS

  - ### LOCATION_ATTACHMENTS_LOCATION_EXISTS

    public static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record> LOCATION_ATTACHMENTS_LOCATION_EXISTS

  - ### LOCATION_METADATA_LOCATION_EXISTS

    public static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record> LOCATION_METADATA_LOCATION_EXISTS

  - ### LOCATION_TYPES_DECLARATION_EXISTS

    public static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record> LOCATION_TYPES_DECLARATION_EXISTS

  - ### LOCATION_TYPES_LOCATION_EXISTS

    public static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record> LOCATION_TYPES_LOCATION_EXISTS

  - ### LOCATION_PARENT_EXISTS

    public static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record> LOCATION_PARENT_EXISTS

  - ### STOCK_ITEM_EXISTS

    public static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record> STOCK_ITEM_EXISTS

  - ### STOCK_LOCATION_EXISTS

    public static final org.jooq.ForeignKey<org.jooq.Record, org.jooq.Record> STOCK_LOCATION_EXISTS

- ## Constructor Details

  - ### Keys

    public Keys()